Bug 487489 - (CVE-2009-0737) CVE-2009-0737 mediawiki: multiple XSS issues in the installer
CVE-2009-0737 mediawiki: multiple XSS issues in the installer
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
source=cve,impact=low,reported=200902...
: Security
Depends On: 485728
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 03:59 EST by Tomas Hoger
Modified: 2016-03-04 05:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 13:33:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-02-26 03:59:29 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0737 to the following vulnerability:

Multiple cross-site scripting (XSS) vulnerabilities in the web-based
installer (config/index.php) in MediaWiki 1.6 before 1.6.12, 1.12
before 1.12.4, and 1.13 before 1.13.4, when the installer is in active
use, allow remote attackers to inject arbitrary web script or HTML via
unspecified vectors.

References:
http://lists.wikimedia.org/pipermail/mediawiki-announce/2009-February/000083.html
http://svn.wikimedia.org/svnroot/mediawiki/tags/REL1_12_4/phase3/RELEASE-NOTES
http://svn.wikimedia.org/svnroot/mediawiki/tags/REL1_13_4/phase3/RELEASE-NOTES
http://svn.wikimedia.org/svnroot/mediawiki/tags/REL1_6_12/phase3/RELEASE-NOTES
http://www.securityfocus.com/bid/33681
http://secunia.com/advisories/33881
http://www.vupen.com/english/advisories/2009/0368
Comment 1 Tomas Hoger 2009-02-26 04:01:00 EST
This seems to have quite low impact, as both upstream and Fedora packages recommend removing installer script once site is configured.
Comment 2 Fedora Update System 2009-03-02 12:01:45 EST
mediawiki-1.14.0-45.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2009-03-02 12:02:30 EST
mediawiki-1.14.0-45.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.